org.restlet.engine.http.connector

## Class BaseTask

- java.lang.Object
- - org.restlet.engine.http.connector.BaseTask

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  Acceptor, Controller

    public abstract class BaseTask
    extends java.lang.Object
    implements java.lang.Runnable

### Constructor Summary

Constructors
Constructor and Description
`BaseTask()` Constructor.

### Method Summary

Methods
`boolean` `isRunning()` Indicates if the task is running.
`void` `setRunning(boolean running)` Indicates if the task is running.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

### Constructor Detail

#### BaseTask

    public BaseTask()

Constructor.

### Method Detail

#### isRunning

    public boolean isRunning()

Indicates if the task is running.

Returns:
  True if the task is running.

#### setRunning

    public void setRunning(boolean running)

Indicates if the task is running.

Parameters:
  `running` - True if the task is running.